import packetSend from './index.vue'
import i18n from '@/util/lang/lang'

packetSend.install = function (Vue, store) {
  const Constructor = Vue.extend(packetSend)
  let instance

  Vue.prototype.$packetSend = () => {
    if (instance) {
      document.body.removeChild(instance.$el)
      instance = null
    }

    instance = new Constructor({
      el: document.createElement('div'),
      computed: {
        $store () { return store }
      },
      i18n,
      data () {
        return {
          visible: true
        }
      }
    })

    document.body.appendChild(instance.$el)
  }
}

export default packetSend
